# This file created by conda-build 3.18.10
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Oct 31 23:44:51 2019
# ------------------------------------------------

package:
    name: future
    version: 0.18.2
source:
    sha256: b1bead90b70cf6ec3f0710ae53a525360fa360d306a86583adc6bf83a4db537d
    url: https://pypi.io/packages/source/f/future/future-0.18.2.tar.gz
build:
    entry_points:
        - futurize = libfuturize.main:main
        - pasteurize = libpasteurize.main:main
    number: '0'
    script: /home/conda/feedstock_root/build_artifacts/future_1572565568933/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: py37_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - bzip2 1.0.8 h516909a_1
        - ca-certificates 2019.9.11 hecc5488_0
        - certifi 2019.9.11 py37_0
        - libffi 3.2.1 he1b5a44_1006
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 hf484d3e_1002
        - openssl 1.1.1c h516909a_0
        - pip 19.3.1 py37_0
        - python 3.7.3 h33d41f4_1
        - readline 8.0 hf8c457e_0
        - setuptools 41.6.0 py37_0
        - sqlite 3.30.1 hcee41ef_0
        - tk 8.6.9 hed695b0_1003
        - wheel 0.33.6 py37_0
        - xz 5.2.4 h14c3975_1001
        - zlib 1.2.11 h516909a_1006
    run:
        - python >=3.7,<3.8.0a0
test:
    commands:
        - futurize -h
        - pasteurize -h
    imports:
        - future
about:
    description: 'Python-future  is the missing compatibility layer between Python
        2 and

        Python 3. It allows you to use a single, clean Python 3.x-compatible

        codebase to support both Python 2 and Python 3 with minimal overhead.

        '
    dev_url: https://github.com/PythonCharmers/python-future
    doc_url: http://python-future.org
    home: http://python-future.org
    license: MIT
    license_family: MIT
    license_file: LICENSE.txt
    summary: Clean single-source support for Python 3 and 2
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - mmysinger
        - ocefpaf
